Upstash Documentation

List DLQ messages

List and paginate through all messages currently in the DLQ
1 min read
get/v2/dlq
Request example
Response
get/v2/dlq
Info

For multi-value filters, a message matches if its value equals any of the given values (OR logic), and multiple filters are combined with AND logic.

Multiple values can be passed either by repeating the query parameter (label=label_1&label=label_2) or as a single comma-separated value (label=label_1,label_2).

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Query parameters

cursorstring#
By providing a cursor you can paginate through all of the messages in the DLQ
messageIdstring#
Filter DLQ messages by message ID
urlstring[]#
Filter DLQ messages by destination URL. Supports multiple values.
topicNamestring[]#
Filter DLQ messages by URL Group name. Supports multiple values.
scheduleIdstring[]#
Filter DLQ messages by schedule ID. Supports multiple values.
queueNamestring[]#
Filter DLQ messages by queue name. Supports multiple values.
fromDateinteger#
Filter DLQ messages by starting date, in milliseconds (Unix timestamp). This is inclusive.
toDateinteger#
Filter DLQ messages by ending date, in milliseconds (Unix timestamp). This is inclusive.
responseStatusinteger[]#
Filter DLQ messages by HTTP response status code of the last delivery attempt. Supports multiple values.
callerIpstring[]#
Filter DLQ messages by IP address of the publisher. Supports multiple values.
labelstring[]#

Filter DLQ messages by label. Supports multiple values. You can pass multiple values to match messages with any of the given labels (OR logic).

Examples:

  • label=my_label
  • label=label_1&label=label_2
  • label=label_1,label_2
countinteger#
The number of messages to return.

Default: 100

Range: <= 100

Responses

application/json
200
List of DLQ messages
cursorstring#

A cursor which you can use in subsequent requests to paginate through all messages.
If no cursor is returned, you have reached the end of the messages.

messagesobject[]#
Show child attributes
messageIdstring#
Unique identifier for the message
urlstring#
The URL to which the message should be delivered.
topicNamestring#
The URL Group (a.k.a. topic) name if this message was sent to a URL Group.
endpointNamestring#
The endpoint name of the message if the endpoint is given a name within the URL group.
methodstring#
The HTTP method to use for the message.
headerobject#
The HTTP headers sent to your API.
Show child attributes
{key}string[]#
bodystring#
The body of the message if it is composed of utf8 chars only, empty otherwise.
bodyBase64string#
The base64 encoded body if the body contains a non-utf8 char only, empty otherwise.
maxRetriesinteger#
The number of retries that should be attempted in case of delivery failure.
notBeforeinteger#
The unix timestamp in milliseconds before which the message should not be delivered.
createdAtinteger#
The unix timestamp in milliseconds when the message was created.
callbackstring#
The url where we send a callback each time the message is attempted to be delivered.
failureCallbackstring#
The url where we send a callback to after the message is failed
queueNamestring#
The name of the queue if the message is enqueued to a queue.
scheduleIdstring#
The scheduleId of the message if the message is triggered by a schedule
callerIPstring#
IP address of the publisher of this message.
labelstringdeprecated#
The label of the message assigned by the user. Deprecated in favor of labels.
labelsstring[]#
The list of labels assigned to the message by the user.
flowControlKeystring#
The flow control key used for rate limiting.
rateinteger#
The rate value used for flow control.
periodinteger#
The period value used for flow control.
parallelisminteger#
The parallelism value used for flow control.
responseStatusinteger#
The HTTP status code received from the destination API.
responseHeaderobject#
The HTTP response headers received from the destination API.
Show child attributes
{key}string[]#
responseBodystring#
The body of the response if it is composed of utf8 chars only, empty otherwise.
responseBodyBase64string#
The base64 encoded body of the response if the body contains a non-utf8 char only, empty otherwise.